{
  config,
  lib,
  pkgs,
  flakes,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  services.xserver.videoDrivers = ["i915" "modesetting" "fbdev"];

  boot = {
    initrd = {
      availableKernelModules = ["xhci_pci" "thunderbolt" "nvme" "sdhci_pci"];
      kernelModules = ["dm-snapshot"];
      luks.devices."tomb" = {
        device = "/dev/disk/by-uuid/0b2b9aec-c239-4cce-948d-4411d9300c1d";
        preLVM = true;
      };
    };
    kernelModules = ["kvm-intel"];
    extraModulePackages = [];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/2774158f-8ec5-4ba1-a4fb-a37f55b8bb38";
      fsType = "btrfs";
      options = ["subvol=root"];
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/A7E5-EEAB";
      fsType = "vfat";
    };

    "/nix" = {
      device = "/dev/disk/by-uuid/2774158f-8ec5-4ba1-a4fb-a37f55b8bb38";
      fsType = "btrfs";
      options = ["subvol=nix"];
    };

    "/home" = {
      device = "/dev/disk/by-uuid/2774158f-8ec5-4ba1-a4fb-a37f55b8bb38";
      fsType = "btrfs";
      options = ["subvol=home"];
    };

    "/toplevel" = {
      device = "/dev/disk/by-uuid/2774158f-8ec5-4ba1-a4fb-a37f55b8bb38";
      fsType = "btrfs";
    };
  };

  swapDevices = [];

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
